Subject: [PATCH 1/3] ARM: DTS: da850: add node for spi0

From: [email-masked] (David Lechner)
Date: Fri, 15 Apr 2016 16:20:51 -0500

On 04/15/2016 03:16 PM, Valdis.Kletnieks at vt.edu wrote:
> On Fri, 15 Apr 2016 11:17:55 -0500, David Lechner said:
>
>> I omitted this on purpose. For my use case, I am using the SPI as
>> write-only,
>
> So your SPI accesses are fire-and-forget, and nothing ever comes back?

Yes.

> Seems a very dangerous way to design the use case, with no feedback if
> something suddenly goes pear-shaped...

You should tell Sitronix. This is how their display controllers work.

>
> Or do you have ways to verify the status via some method other than SPI?
>

Nope.

I'm working with LEGO MINDSTORMS EV3, a mass-produced robotics system. 
It is what it is. And I have a logic analyzer for when things go 
pear-shaped. ;-)